Package org.lwjgl.opengl

# Class ARBBaseInstance

java.lang.Object
org.lwjgl.opengl.ARBBaseInstance

public final class ARBBaseInstance extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDrawArraysInstancedBaseInstance(int mode, int first, int count, int primcount, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseInstance(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseInstance(int mode, ByteBuffer indices, int primcount, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseInstance(int mode, IntBuffer indices, int primcount, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseInstance(int mode, ShortBuffer indices, int primcount, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseVertexBaseInstance(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int basevertex, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseVertexBaseInstance(int mode, ByteBuffer indices, int primcount, int basevertex, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseVertexBaseInstance(int mode, IntBuffer indices, int primcount, int basevertex, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseVertexBaseInstance(int mode, ShortBuffer indices, int primcount, int basevertex, int baseinstance)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### glDrawArraysInstancedBaseInstance

public static void glDrawArraysInstancedBaseInstance(int mode, int first, int count, int primcount, int baseinstance)

### glDrawElementsInstancedBaseInstance

public static void glDrawElementsInstancedBaseInstance(int mode, ByteBuffer indices, int primcount, int baseinstance)

### glDrawElementsInstancedBaseInstance

public static void glDrawElementsInstancedBaseInstance(int mode, IntBuffer indices, int primcount, int baseinstance)

### glDrawElementsInstancedBaseInstance

public static void glDrawElementsInstancedBaseInstance(int mode, ShortBuffer indices, int primcount, int baseinstance)

### glDrawElementsInstancedBaseInstance

public static void glDrawElementsInstancedBaseInstance(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int baseinstance)

### glDrawElementsInstancedBaseVertexBaseInstance

public static void glDrawElementsInstancedBaseVertexBaseInstance(int mode, ByteBuffer indices, int primcount, int basevertex, int baseinstance)

### glDrawElementsInstancedBaseVertexBaseInstance

public static void glDrawElementsInstancedBaseVertexBaseInstance(int mode, IntBuffer indices, int primcount, int basevertex, int baseinstance)

### glDrawElementsInstancedBaseVertexBaseInstance

public static void glDrawElementsInstancedBaseVertexBaseInstance(int mode, ShortBuffer indices, int primcount, int basevertex, int baseinstance)

### glDrawElementsInstancedBaseVertexBaseInstance

public static void glDrawElementsInstancedBaseVertexBaseInstance(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int basevertex, int baseinstance)